ContactSubject on NodeList must be valid D1 Idap entry
Status: In Progress

Priority: Normal

Assignee: Dave Vieglais

Category: Authentication, Authorization
Target version: CCl-2.3.2

Story Points:

Start date: 2015-09-16
Due date:

% Done: 30%
Estimated time: 0.00 hour

Description

Before a CN can be started, LDAP must have an approved entry for Contact Subject.

Contact Subject has been defaulted to CN=Robert P Waltz A904,0=Google,C=US,DC=cilogon,DC=org on all of the CN entries in the

node list.

Since Robert P Waltz is a developer and not an organizer or director, then the publicized contact on the CNs should be changed to

reflect the organizational hierarchy.

The Contact Subject for the CNs should be the PI of the project, or at least, a Co-PI.

Also, The DN of this subject should be derived from the DataONE CA instead of cilogon.

Updating the existing systems should be trivial. The Ldap Entry for each CN node will be modified, and a new LDAP entry for the

new Subject will need to be added.

History

#1 - 2015-10-16 13:23 - Dave Vieglais
- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 2016-03-25 01:20 - Dave Vieglais
- Target version changed from CCI-2.0.0 to CCI-2.2.0

#3 - 2016-06-14 19:42 - Robert Waltz
- Target version changed from CCI-2.2.0 to CCI-2.3.0

#4 - 2016-12-21 09:05 - Dave Vieglais
- Target version changed from CCI-2.3.0 to CCI-2.3.2
